summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorJeff Quast <jquast@io.com>2015-05-05 00:42:36 -0700
committerJeff Quast <jquast@io.com>2015-05-05 00:42:36 -0700
commit6b6a9c12199a421506938e4275db4fb07a7101c6 (patch)
tree1e733752ca3140a474ddd36d0ba071cbdcb02dfd /tools
parent93faf20e589bd9578de4de18cd01c8845d3380be (diff)
downloadpexpect-6b6a9c12199a421506938e4275db4fb07a7101c6.tar.gz
fix debug print(DefaultSelector)
Diffstat (limited to 'tools')
-rwxr-xr-xtools/teamcity-runtests.sh13
1 files changed, 6 insertions, 7 deletions
diff --git a/tools/teamcity-runtests.sh b/tools/teamcity-runtests.sh
index d6f3b4e..71d9e6c 100755
--- a/tools/teamcity-runtests.sh
+++ b/tools/teamcity-runtests.sh
@@ -30,13 +30,6 @@ rmvirtualenv ${venv} || true
mkvirtualenv -p `which python${pyversion}` ${venv} || true
workon ${venv}
-# display the selector used on this platform, for py27 or earlier without 'selectors'
-# module, hide and ignore error of any traceback due to ImportError.
-python -c 'import selectors; ' \
- 'selector = selectors.DefaultSelector(); ' \
- 'print("DefaultSelector used by asyncio: {0}".format(selectors.DefaultSelector))' \
- 2>/dev/null || true
-
# install ptyprocess
cd $here/../../ptyprocess
pip uninstall --yes ptyprocess || true
@@ -45,6 +38,12 @@ python setup.py install
# install all test requirements
pip install --upgrade pytest-cov coverage coveralls pytest-capturelog
+
+# display the selector used on this platform, for py27 or earlier without 'selectors'
+# module, hide and ignore error of any traceback due to ImportError.
+python -c 'import selectors; print("DefaultSelector: {0}".format(selectors.DefaultSelector))' \
+ 2>/dev/null || true
+
# run tests
cd $here/..
ret=0